Bug 63079 - Maintainer update: Update www/opera-devel to 7.50 Preview 2 (20040218)
Maintainer update: Update www/opera-devel to 7.50 Preview 2 (20040218)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: sergei
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-19 21:00 UTC by avleeuwen
Modified: 2004-02-29 23:06 UTC (History)
1 user (show)

See Also:


Attachments
opera-devel.diff (2.74 KB, patch)
2004-02-19 21:00 UTC, avleeuwen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description avleeuwen 2004-02-19 21:00:24 UTC

This patch updates the www/opera-devel port to version
7.50 Preview 2 (aka 20040218). 

A changelog can be found here:
http://people.opera.com/espen/changelog/changelog-7.50p2.html
Comment 1 Marc.Vanwoerkom 2004-02-21 20:20:14 UTC
Yes, P2 is an improvement so far. Please commit soon!

Any idea how we can add some plugins to it?
- java
- acrobat
- flash
- realplayer

I would love to do that. But I have some open questions:

- Does Opera adhere to some Netscape plugin spec,
   or something unique?

- Is the FreeBSD version enabled to add plugins?

- We would need to find some trick to link in
   FreeBSD and Linux native plugins somehow.

- Has this been done for Mozilla already?

Where could I obtain technical information?
Or which person one should contact?

Regards,
Marc
Comment 2 avleeuwen 2004-02-21 21:58:30 UTC
On Saturday 21 February 2004 21:20, Marc van Woerkom wrote:
> Yes, P2 is an improvement so far. Please commit soon!
>
> Any idea how we can add some plugins to it?
> - java
> - acrobat
> - flash
> - realplayer
>
> I would love to do that. But I have some open questions:
>
> - Does Opera adhere to some Netscape plugin spec,
>    or something unique?


Opera uses Netscape plugins, although it calls Java directly (no Netscape 
plugin).

>
> - Is the FreeBSD version enabled to add plugins?


Yes, but it doesn't work on 5.x systems.

>
> - We would need to find some trick to link in
>    FreeBSD and Linux native plugins somehow.


See the www/linuxpluginwrapper port. Opera can only use this on 4.x. I'm not 
running 4.x myself, but I've been told that you can run Flash in Opera on 4.x 
if you use www/linuxpluginwrapper, just as you can in Mozilla / derivatives 
and Konqueror. 
For this to work on 5.x, Opera needs to do a 5.x build. This may happen 
soon :).

>
> - Has this been done for Mozilla already?


www/linuxpluginwrapper again.

>
> Where could I obtain technical information?
> Or which person one should contact?


The Opera team knows of the problems with plugins in FreeBSD, and it's 
definitely on the TODO list.

Arjan
Comment 3 Marc.Vanwoerkom 2004-02-21 23:31:10 UTC
On Sat, 21 Feb 2004 22:58:30 +0100, Arjan van Leeuwen  
<avleeuwen@piwebs.com> wrote:

>> I would love to do that. But I have some open questions:
>>
>> - Does Opera adhere to some Netscape plugin spec,
>>    or something unique?
>
> Opera uses Netscape plugins, although it calls Java directly (no Netscape
> plugin).

What I lack is Java Applet and Java Webstart.

Webstart is some external program, I don't know if it is already
ported in the diabolo release.

But to display an applet would need intimate cooperation with
the browser, ie. some plugin, or am I wrong here?


>> - Is the FreeBSD version enabled to add plugins?
>
> Yes, but it doesn't work on 5.x systems.

Are the binary formats or libs significantly different?


> See the www/linuxpluginwrapper port. Opera can only use this on 4.x. I'm  
> not running 4.x myself, but I've been told that you can run Flash in  
> Opera on 4.x

Ah thanks for that hint.


> For this to work on 5.x, Opera needs to do a 5.x build. This may happen
> soon :).

Cool.


> The Opera team knows of the problems with plugins in FreeBSD, and it's
> definitely on the TODO list.

Where could I put in useful work?

Regards,
Marc
Comment 4 sergei freebsd_committer 2004-02-22 00:00:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sergei

Take.
Comment 5 sergei freebsd_committer 2004-02-29 23:06:16 UTC
State Changed
From-To: open->closed

Committed, thanks!